Index: tests/regression/Bond/AdjacencyMatcher/pre/notequal.adj
===================================================================
--- tests/regression/Bond/AdjacencyMatcher/pre/notequal.adj	(revision 8e790ebd981dac78daa03f5e06560ba8ea84a21a)
+++ tests/regression/Bond/AdjacencyMatcher/pre/notequal.adj	(revision 8e790ebd981dac78daa03f5e06560ba8ea84a21a)
@@ -0,0 +1,9 @@
+1 9
+2 9
+3 9
+4 10
+6 11
+7 11
+9 1 2 3 10
+10 4 5 9
+11 10 6 7 8
Index: tests/regression/Bond/AdjacencyMatcher/pre/notequal2.adj
===================================================================
--- tests/regression/Bond/AdjacencyMatcher/pre/notequal2.adj	(revision 8e790ebd981dac78daa03f5e06560ba8ea84a21a)
+++ tests/regression/Bond/AdjacencyMatcher/pre/notequal2.adj	(revision 8e790ebd981dac78daa03f5e06560ba8ea84a21a)
@@ -0,0 +1,11 @@
+1 9
+2 9
+3 9
+4 10
+5 10
+6 11
+7 11
+8 11
+9 2 3 10
+10 11 4 5 9
+11 10 6 7 8
Index: tests/regression/Bond/AdjacencyMatcher/pre/test.adj
===================================================================
--- tests/regression/Bond/AdjacencyMatcher/pre/test.adj	(revision 8e790ebd981dac78daa03f5e06560ba8ea84a21a)
+++ tests/regression/Bond/AdjacencyMatcher/pre/test.adj	(revision 8e790ebd981dac78daa03f5e06560ba8ea84a21a)
@@ -0,0 +1,11 @@
+1 9
+2 9
+3 9
+4 10
+5 10
+6 11
+7 11
+8 11
+9 1 2 3 10
+10 11 4 5 9
+11 10 6 7 8
Index: tests/regression/Bond/AdjacencyMatcher/pre/test2.adj
===================================================================
--- tests/regression/Bond/AdjacencyMatcher/pre/test2.adj	(revision 8e790ebd981dac78daa03f5e06560ba8ea84a21a)
+++ tests/regression/Bond/AdjacencyMatcher/pre/test2.adj	(revision 8e790ebd981dac78daa03f5e06560ba8ea84a21a)
@@ -0,0 +1,12 @@
+1 9
+2 9
+3 9
+4 10
+5 10
+6 11
+7 11
+8 11
+9 1 2 3 10
+10 4 5 9 11
+11 6 7 8 10
+
Index: tests/regression/Bond/AdjacencyMatcher/testsuite-bond-adjacencymatcher.at
===================================================================
--- tests/regression/Bond/AdjacencyMatcher/testsuite-bond-adjacencymatcher.at	(revision 8e790ebd981dac78daa03f5e06560ba8ea84a21a)
+++ tests/regression/Bond/AdjacencyMatcher/testsuite-bond-adjacencymatcher.at	(revision 8e790ebd981dac78daa03f5e06560ba8ea84a21a)
@@ -0,0 +1,34 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2015 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### adjacencymatcher helper
+
+AT_SETUP([Bond - AdjacencyMatcher])
+AT_KEYWORDS([Bond adjacencymatcher])
+
+# matches
+AT_CHECK([../../adjacencymatcher ${abs_top_srcdir}/tests/regression/Bond/AdjacencyMatcher/pre/test.adj ${abs_top_srcdir}/tests/regression/Bond/AdjacencyMatcher/pre/test.adj], 0, [ignore], [ignore])
+AT_CHECK([../../adjacencymatcher ${abs_top_srcdir}/tests/regression/Bond/AdjacencyMatcher/pre/test2.adj ${abs_top_srcdir}/tests/regression/Bond/AdjacencyMatcher/pre/test2.adj], 0, [ignore], [ignore])
+AT_CHECK([../../adjacencymatcher ${abs_top_srcdir}/tests/regression/Bond/AdjacencyMatcher/pre/test.adj ${abs_top_srcdir}/tests/regression/Bond/AdjacencyMatcher/pre/test2.adj], 0, [ignore], [ignore])
+
+# no matches
+AT_CHECK([../../adjacencymatcher ${abs_top_srcdir}/tests/regression/Bond/AdjacencyMatcher/pre/test.adj ${abs_top_srcdir}/tests/regression/Bond/AdjacencyMatcher/pre/notequal.adj], 1, [ignore], [ignore])
+AT_CHECK([../../adjacencymatcher ${abs_top_srcdir}/tests/regression/Bond/AdjacencyMatcher/pre/test.adj ${abs_top_srcdir}/tests/regression/Bond/AdjacencyMatcher/pre/notequal2.adj], 1, [ignore], [ignore])
+AT_CHECK([../../adjacencymatcher ${abs_top_srcdir}/tests/regression/Bond/AdjacencyMatcher/pre/test2.adj ${abs_top_srcdir}/tests/regression/Bond/AdjacencyMatcher/pre/notequal.adj], 1, [ignore], [ignore])
+AT_CHECK([../../adjacencymatcher ${abs_top_srcdir}/tests/regression/Bond/AdjacencyMatcher/pre/test2.adj ${abs_top_srcdir}/tests/regression/Bond/AdjacencyMatcher/pre/notequal2.adj], 1, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Bond/testsuite-bond.at
===================================================================
--- tests/regression/Bond/testsuite-bond.at	(revision 88afc98ce3204073139972574abd21cf592b7f3a)
+++ tests/regression/Bond/testsuite-bond.at	(revision 8e790ebd981dac78daa03f5e06560ba8ea84a21a)
@@ -25,2 +25,5 @@
 m4_include([Bond/Remove/testsuite-bond-remove.at])
 m4_include([Bond/Remove/testsuite-bond-remove_multiple.at])
+
+# adjacency matcher
+m4_include([Bond/AdjacencyMatcher/testsuite-bond-adjacencymatcher.at])
